Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network255.48.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
255.48.0.0
Broadcast address
255.63.255.255
First usable
255.48.0.1
Last usable
255.63.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex FF300000 · Integer 4281335808 to 4282384383
Reverse DNS zones
48.255.in-addr.arpa
49.255.in-addr.arpa
50.255.in-addr.arpa
51.255.in-addr.arpa
52.255.in-addr.arpa
53.255.in-addr.arpa
54.255.in-addr.arpa
55.255.in-addr.arpa
56.255.in-addr.arpa
57.255.in-addr.arpa
58.255.in-addr.arpa
59.255.in-addr.arpa
60.255.in-addr.arpa
61.255.in-addr.arpa
62.255.in-addr.arpa
63.255.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111111.00110000.00000000.00000000255.48.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network11111111.00110000.00000000.00000000255.48.0.0
Broadcast11111111.00111111.11111111.11111111255.63.255.255
Split into smaller subnets/24

255.48.0.0/12 makes 4,096 subnets of /24; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1255.48.0.0/24255.48.0.1 to 255.48.0.254255.48.0.255254
2255.48.1.0/24255.48.1.1 to 255.48.1.254255.48.1.255254
3255.48.2.0/24255.48.2.1 to 255.48.2.254255.48.2.255254
4255.48.3.0/24255.48.3.1 to 255.48.3.254255.48.3.255254
5255.48.4.0/24255.48.4.1 to 255.48.4.254255.48.4.255254
6255.48.5.0/24255.48.5.1 to 255.48.5.254255.48.5.255254
7255.48.6.0/24255.48.6.1 to 255.48.6.254255.48.6.255254
8255.48.7.0/24255.48.7.1 to 255.48.7.254255.48.7.255254
9255.48.8.0/24255.48.8.1 to 255.48.8.254255.48.8.255254
10255.48.9.0/24255.48.9.1 to 255.48.9.254255.48.9.255254
11255.48.10.0/24255.48.10.1 to 255.48.10.254255.48.10.255254
12255.48.11.0/24255.48.11.1 to 255.48.11.254255.48.11.255254
13255.48.12.0/24255.48.12.1 to 255.48.12.254255.48.12.255254
14255.48.13.0/24255.48.13.1 to 255.48.13.254255.48.13.255254
15255.48.14.0/24255.48.14.1 to 255.48.14.254255.48.14.255254
16255.48.15.0/24255.48.15.1 to 255.48.15.254255.48.15.255254
17255.48.16.0/24255.48.16.1 to 255.48.16.254255.48.16.255254
18255.48.17.0/24255.48.17.1 to 255.48.17.254255.48.17.255254
19255.48.18.0/24255.48.18.1 to 255.48.18.254255.48.18.255254
20255.48.19.0/24255.48.19.1 to 255.48.19.254255.48.19.255254
21255.48.20.0/24255.48.20.1 to 255.48.20.254255.48.20.255254
22255.48.21.0/24255.48.21.1 to 255.48.21.254255.48.21.255254
23255.48.22.0/24255.48.22.1 to 255.48.22.254255.48.22.255254
24255.48.23.0/24255.48.23.1 to 255.48.23.254255.48.23.255254
25255.48.24.0/24255.48.24.1 to 255.48.24.254255.48.24.255254
26255.48.25.0/24255.48.25.1 to 255.48.25.254255.48.25.255254
27255.48.26.0/24255.48.26.1 to 255.48.26.254255.48.26.255254
28255.48.27.0/24255.48.27.1 to 255.48.27.254255.48.27.255254
29255.48.28.0/24255.48.28.1 to 255.48.28.254255.48.28.255254
30255.48.29.0/24255.48.29.1 to 255.48.29.254255.48.29.255254
31255.48.30.0/24255.48.30.1 to 255.48.30.254255.48.30.255254
32255.48.31.0/24255.48.31.1 to 255.48.31.254255.48.31.255254
33255.48.32.0/24255.48.32.1 to 255.48.32.254255.48.32.255254
34255.48.33.0/24255.48.33.1 to 255.48.33.254255.48.33.255254
35255.48.34.0/24255.48.34.1 to 255.48.34.254255.48.34.255254
36255.48.35.0/24255.48.35.1 to 255.48.35.254255.48.35.255254
37255.48.36.0/24255.48.36.1 to 255.48.36.254255.48.36.255254
38255.48.37.0/24255.48.37.1 to 255.48.37.254255.48.37.255254
39255.48.38.0/24255.48.38.1 to 255.48.38.254255.48.38.255254
40255.48.39.0/24255.48.39.1 to 255.48.39.254255.48.39.255254
41255.48.40.0/24255.48.40.1 to 255.48.40.254255.48.40.255254
42255.48.41.0/24255.48.41.1 to 255.48.41.254255.48.41.255254
43255.48.42.0/24255.48.42.1 to 255.48.42.254255.48.42.255254
44255.48.43.0/24255.48.43.1 to 255.48.43.254255.48.43.255254
45255.48.44.0/24255.48.44.1 to 255.48.44.254255.48.44.255254
46255.48.45.0/24255.48.45.1 to 255.48.45.254255.48.45.255254
47255.48.46.0/24255.48.46.1 to 255.48.46.254255.48.46.255254
48255.48.47.0/24255.48.47.1 to 255.48.47.254255.48.47.255254
49255.48.48.0/24255.48.48.1 to 255.48.48.254255.48.48.255254
50255.48.49.0/24255.48.49.1 to 255.48.49.254255.48.49.255254
51255.48.50.0/24255.48.50.1 to 255.48.50.254255.48.50.255254
52255.48.51.0/24255.48.51.1 to 255.48.51.254255.48.51.255254
53255.48.52.0/24255.48.52.1 to 255.48.52.254255.48.52.255254
54255.48.53.0/24255.48.53.1 to 255.48.53.254255.48.53.255254
55255.48.54.0/24255.48.54.1 to 255.48.54.254255.48.54.255254
56255.48.55.0/24255.48.55.1 to 255.48.55.254255.48.55.255254
57255.48.56.0/24255.48.56.1 to 255.48.56.254255.48.56.255254
58255.48.57.0/24255.48.57.1 to 255.48.57.254255.48.57.255254
59255.48.58.0/24255.48.58.1 to 255.48.58.254255.48.58.255254
60255.48.59.0/24255.48.59.1 to 255.48.59.254255.48.59.255254
61255.48.60.0/24255.48.60.1 to 255.48.60.254255.48.60.255254
62255.48.61.0/24255.48.61.1 to 255.48.61.254255.48.61.255254
63255.48.62.0/24255.48.62.1 to 255.48.62.254255.48.62.255254
64255.48.63.0/24255.48.63.1 to 255.48.63.254255.48.63.255254
65255.48.64.0/24255.48.64.1 to 255.48.64.254255.48.64.255254
66255.48.65.0/24255.48.65.1 to 255.48.65.254255.48.65.255254
67255.48.66.0/24255.48.66.1 to 255.48.66.254255.48.66.255254
68255.48.67.0/24255.48.67.1 to 255.48.67.254255.48.67.255254
69255.48.68.0/24255.48.68.1 to 255.48.68.254255.48.68.255254
70255.48.69.0/24255.48.69.1 to 255.48.69.254255.48.69.255254
71255.48.70.0/24255.48.70.1 to 255.48.70.254255.48.70.255254
72255.48.71.0/24255.48.71.1 to 255.48.71.254255.48.71.255254
73255.48.72.0/24255.48.72.1 to 255.48.72.254255.48.72.255254
74255.48.73.0/24255.48.73.1 to 255.48.73.254255.48.73.255254
75255.48.74.0/24255.48.74.1 to 255.48.74.254255.48.74.255254
76255.48.75.0/24255.48.75.1 to 255.48.75.254255.48.75.255254
77255.48.76.0/24255.48.76.1 to 255.48.76.254255.48.76.255254
78255.48.77.0/24255.48.77.1 to 255.48.77.254255.48.77.255254
79255.48.78.0/24255.48.78.1 to 255.48.78.254255.48.78.255254
80255.48.79.0/24255.48.79.1 to 255.48.79.254255.48.79.255254
81255.48.80.0/24255.48.80.1 to 255.48.80.254255.48.80.255254
82255.48.81.0/24255.48.81.1 to 255.48.81.254255.48.81.255254
83255.48.82.0/24255.48.82.1 to 255.48.82.254255.48.82.255254
84255.48.83.0/24255.48.83.1 to 255.48.83.254255.48.83.255254
85255.48.84.0/24255.48.84.1 to 255.48.84.254255.48.84.255254
86255.48.85.0/24255.48.85.1 to 255.48.85.254255.48.85.255254
87255.48.86.0/24255.48.86.1 to 255.48.86.254255.48.86.255254
88255.48.87.0/24255.48.87.1 to 255.48.87.254255.48.87.255254
89255.48.88.0/24255.48.88.1 to 255.48.88.254255.48.88.255254
90255.48.89.0/24255.48.89.1 to 255.48.89.254255.48.89.255254
91255.48.90.0/24255.48.90.1 to 255.48.90.254255.48.90.255254
92255.48.91.0/24255.48.91.1 to 255.48.91.254255.48.91.255254
93255.48.92.0/24255.48.92.1 to 255.48.92.254255.48.92.255254
94255.48.93.0/24255.48.93.1 to 255.48.93.254255.48.93.255254
95255.48.94.0/24255.48.94.1 to 255.48.94.254255.48.94.255254
96255.48.95.0/24255.48.95.1 to 255.48.95.254255.48.95.255254
97255.48.96.0/24255.48.96.1 to 255.48.96.254255.48.96.255254
98255.48.97.0/24255.48.97.1 to 255.48.97.254255.48.97.255254
99255.48.98.0/24255.48.98.1 to 255.48.98.254255.48.98.255254
100255.48.99.0/24255.48.99.1 to 255.48.99.254255.48.99.255254
101255.48.100.0/24255.48.100.1 to 255.48.100.254255.48.100.255254
102255.48.101.0/24255.48.101.1 to 255.48.101.254255.48.101.255254
103255.48.102.0/24255.48.102.1 to 255.48.102.254255.48.102.255254
104255.48.103.0/24255.48.103.1 to 255.48.103.254255.48.103.255254
105255.48.104.0/24255.48.104.1 to 255.48.104.254255.48.104.255254
106255.48.105.0/24255.48.105.1 to 255.48.105.254255.48.105.255254
107255.48.106.0/24255.48.106.1 to 255.48.106.254255.48.106.255254
108255.48.107.0/24255.48.107.1 to 255.48.107.254255.48.107.255254
109255.48.108.0/24255.48.108.1 to 255.48.108.254255.48.108.255254
110255.48.109.0/24255.48.109.1 to 255.48.109.254255.48.109.255254
111255.48.110.0/24255.48.110.1 to 255.48.110.254255.48.110.255254
112255.48.111.0/24255.48.111.1 to 255.48.111.254255.48.111.255254
113255.48.112.0/24255.48.112.1 to 255.48.112.254255.48.112.255254
114255.48.113.0/24255.48.113.1 to 255.48.113.254255.48.113.255254
115255.48.114.0/24255.48.114.1 to 255.48.114.254255.48.114.255254
116255.48.115.0/24255.48.115.1 to 255.48.115.254255.48.115.255254
117255.48.116.0/24255.48.116.1 to 255.48.116.254255.48.116.255254
118255.48.117.0/24255.48.117.1 to 255.48.117.254255.48.117.255254
119255.48.118.0/24255.48.118.1 to 255.48.118.254255.48.118.255254
120255.48.119.0/24255.48.119.1 to 255.48.119.254255.48.119.255254
121255.48.120.0/24255.48.120.1 to 255.48.120.254255.48.120.255254
122255.48.121.0/24255.48.121.1 to 255.48.121.254255.48.121.255254
123255.48.122.0/24255.48.122.1 to 255.48.122.254255.48.122.255254
124255.48.123.0/24255.48.123.1 to 255.48.123.254255.48.123.255254
125255.48.124.0/24255.48.124.1 to 255.48.124.254255.48.124.255254
126255.48.125.0/24255.48.125.1 to 255.48.125.254255.48.125.255254
127255.48.126.0/24255.48.126.1 to 255.48.126.254255.48.126.255254
128255.48.127.0/24255.48.127.1 to 255.48.127.254255.48.127.255254
129255.48.128.0/24255.48.128.1 to 255.48.128.254255.48.128.255254
130255.48.129.0/24255.48.129.1 to 255.48.129.254255.48.129.255254
131255.48.130.0/24255.48.130.1 to 255.48.130.254255.48.130.255254
132255.48.131.0/24255.48.131.1 to 255.48.131.254255.48.131.255254
133255.48.132.0/24255.48.132.1 to 255.48.132.254255.48.132.255254
134255.48.133.0/24255.48.133.1 to 255.48.133.254255.48.133.255254
135255.48.134.0/24255.48.134.1 to 255.48.134.254255.48.134.255254
136255.48.135.0/24255.48.135.1 to 255.48.135.254255.48.135.255254
137255.48.136.0/24255.48.136.1 to 255.48.136.254255.48.136.255254
138255.48.137.0/24255.48.137.1 to 255.48.137.254255.48.137.255254
139255.48.138.0/24255.48.138.1 to 255.48.138.254255.48.138.255254
140255.48.139.0/24255.48.139.1 to 255.48.139.254255.48.139.255254
141255.48.140.0/24255.48.140.1 to 255.48.140.254255.48.140.255254
142255.48.141.0/24255.48.141.1 to 255.48.141.254255.48.141.255254
143255.48.142.0/24255.48.142.1 to 255.48.142.254255.48.142.255254
144255.48.143.0/24255.48.143.1 to 255.48.143.254255.48.143.255254
145255.48.144.0/24255.48.144.1 to 255.48.144.254255.48.144.255254
146255.48.145.0/24255.48.145.1 to 255.48.145.254255.48.145.255254
147255.48.146.0/24255.48.146.1 to 255.48.146.254255.48.146.255254
148255.48.147.0/24255.48.147.1 to 255.48.147.254255.48.147.255254
149255.48.148.0/24255.48.148.1 to 255.48.148.254255.48.148.255254
150255.48.149.0/24255.48.149.1 to 255.48.149.254255.48.149.255254
151255.48.150.0/24255.48.150.1 to 255.48.150.254255.48.150.255254
152255.48.151.0/24255.48.151.1 to 255.48.151.254255.48.151.255254
153255.48.152.0/24255.48.152.1 to 255.48.152.254255.48.152.255254
154255.48.153.0/24255.48.153.1 to 255.48.153.254255.48.153.255254
155255.48.154.0/24255.48.154.1 to 255.48.154.254255.48.154.255254
156255.48.155.0/24255.48.155.1 to 255.48.155.254255.48.155.255254
157255.48.156.0/24255.48.156.1 to 255.48.156.254255.48.156.255254
158255.48.157.0/24255.48.157.1 to 255.48.157.254255.48.157.255254
159255.48.158.0/24255.48.158.1 to 255.48.158.254255.48.158.255254
160255.48.159.0/24255.48.159.1 to 255.48.159.254255.48.159.255254
161255.48.160.0/24255.48.160.1 to 255.48.160.254255.48.160.255254
162255.48.161.0/24255.48.161.1 to 255.48.161.254255.48.161.255254
163255.48.162.0/24255.48.162.1 to 255.48.162.254255.48.162.255254
164255.48.163.0/24255.48.163.1 to 255.48.163.254255.48.163.255254
165255.48.164.0/24255.48.164.1 to 255.48.164.254255.48.164.255254
166255.48.165.0/24255.48.165.1 to 255.48.165.254255.48.165.255254
167255.48.166.0/24255.48.166.1 to 255.48.166.254255.48.166.255254
168255.48.167.0/24255.48.167.1 to 255.48.167.254255.48.167.255254
169255.48.168.0/24255.48.168.1 to 255.48.168.254255.48.168.255254
170255.48.169.0/24255.48.169.1 to 255.48.169.254255.48.169.255254
171255.48.170.0/24255.48.170.1 to 255.48.170.254255.48.170.255254
172255.48.171.0/24255.48.171.1 to 255.48.171.254255.48.171.255254
173255.48.172.0/24255.48.172.1 to 255.48.172.254255.48.172.255254
174255.48.173.0/24255.48.173.1 to 255.48.173.254255.48.173.255254
175255.48.174.0/24255.48.174.1 to 255.48.174.254255.48.174.255254
176255.48.175.0/24255.48.175.1 to 255.48.175.254255.48.175.255254
177255.48.176.0/24255.48.176.1 to 255.48.176.254255.48.176.255254
178255.48.177.0/24255.48.177.1 to 255.48.177.254255.48.177.255254
179255.48.178.0/24255.48.178.1 to 255.48.178.254255.48.178.255254
180255.48.179.0/24255.48.179.1 to 255.48.179.254255.48.179.255254
181255.48.180.0/24255.48.180.1 to 255.48.180.254255.48.180.255254
182255.48.181.0/24255.48.181.1 to 255.48.181.254255.48.181.255254
183255.48.182.0/24255.48.182.1 to 255.48.182.254255.48.182.255254
184255.48.183.0/24255.48.183.1 to 255.48.183.254255.48.183.255254
185255.48.184.0/24255.48.184.1 to 255.48.184.254255.48.184.255254
186255.48.185.0/24255.48.185.1 to 255.48.185.254255.48.185.255254
187255.48.186.0/24255.48.186.1 to 255.48.186.254255.48.186.255254
188255.48.187.0/24255.48.187.1 to 255.48.187.254255.48.187.255254
189255.48.188.0/24255.48.188.1 to 255.48.188.254255.48.188.255254
190255.48.189.0/24255.48.189.1 to 255.48.189.254255.48.189.255254
191255.48.190.0/24255.48.190.1 to 255.48.190.254255.48.190.255254
192255.48.191.0/24255.48.191.1 to 255.48.191.254255.48.191.255254
193255.48.192.0/24255.48.192.1 to 255.48.192.254255.48.192.255254
194255.48.193.0/24255.48.193.1 to 255.48.193.254255.48.193.255254
195255.48.194.0/24255.48.194.1 to 255.48.194.254255.48.194.255254
196255.48.195.0/24255.48.195.1 to 255.48.195.254255.48.195.255254
197255.48.196.0/24255.48.196.1 to 255.48.196.254255.48.196.255254
198255.48.197.0/24255.48.197.1 to 255.48.197.254255.48.197.255254
199255.48.198.0/24255.48.198.1 to 255.48.198.254255.48.198.255254
200255.48.199.0/24255.48.199.1 to 255.48.199.254255.48.199.255254
201255.48.200.0/24255.48.200.1 to 255.48.200.254255.48.200.255254
202255.48.201.0/24255.48.201.1 to 255.48.201.254255.48.201.255254
203255.48.202.0/24255.48.202.1 to 255.48.202.254255.48.202.255254
204255.48.203.0/24255.48.203.1 to 255.48.203.254255.48.203.255254
205255.48.204.0/24255.48.204.1 to 255.48.204.254255.48.204.255254
206255.48.205.0/24255.48.205.1 to 255.48.205.254255.48.205.255254
207255.48.206.0/24255.48.206.1 to 255.48.206.254255.48.206.255254
208255.48.207.0/24255.48.207.1 to 255.48.207.254255.48.207.255254
209255.48.208.0/24255.48.208.1 to 255.48.208.254255.48.208.255254
210255.48.209.0/24255.48.209.1 to 255.48.209.254255.48.209.255254
211255.48.210.0/24255.48.210.1 to 255.48.210.254255.48.210.255254
212255.48.211.0/24255.48.211.1 to 255.48.211.254255.48.211.255254
213255.48.212.0/24255.48.212.1 to 255.48.212.254255.48.212.255254
214255.48.213.0/24255.48.213.1 to 255.48.213.254255.48.213.255254
215255.48.214.0/24255.48.214.1 to 255.48.214.254255.48.214.255254
216255.48.215.0/24255.48.215.1 to 255.48.215.254255.48.215.255254
217255.48.216.0/24255.48.216.1 to 255.48.216.254255.48.216.255254
218255.48.217.0/24255.48.217.1 to 255.48.217.254255.48.217.255254
219255.48.218.0/24255.48.218.1 to 255.48.218.254255.48.218.255254
220255.48.219.0/24255.48.219.1 to 255.48.219.254255.48.219.255254
221255.48.220.0/24255.48.220.1 to 255.48.220.254255.48.220.255254
222255.48.221.0/24255.48.221.1 to 255.48.221.254255.48.221.255254
223255.48.222.0/24255.48.222.1 to 255.48.222.254255.48.222.255254
224255.48.223.0/24255.48.223.1 to 255.48.223.254255.48.223.255254
225255.48.224.0/24255.48.224.1 to 255.48.224.254255.48.224.255254
226255.48.225.0/24255.48.225.1 to 255.48.225.254255.48.225.255254
227255.48.226.0/24255.48.226.1 to 255.48.226.254255.48.226.255254
228255.48.227.0/24255.48.227.1 to 255.48.227.254255.48.227.255254
229255.48.228.0/24255.48.228.1 to 255.48.228.254255.48.228.255254
230255.48.229.0/24255.48.229.1 to 255.48.229.254255.48.229.255254
231255.48.230.0/24255.48.230.1 to 255.48.230.254255.48.230.255254
232255.48.231.0/24255.48.231.1 to 255.48.231.254255.48.231.255254
233255.48.232.0/24255.48.232.1 to 255.48.232.254255.48.232.255254
234255.48.233.0/24255.48.233.1 to 255.48.233.254255.48.233.255254
235255.48.234.0/24255.48.234.1 to 255.48.234.254255.48.234.255254
236255.48.235.0/24255.48.235.1 to 255.48.235.254255.48.235.255254
237255.48.236.0/24255.48.236.1 to 255.48.236.254255.48.236.255254
238255.48.237.0/24255.48.237.1 to 255.48.237.254255.48.237.255254
239255.48.238.0/24255.48.238.1 to 255.48.238.254255.48.238.255254
240255.48.239.0/24255.48.239.1 to 255.48.239.254255.48.239.255254
241255.48.240.0/24255.48.240.1 to 255.48.240.254255.48.240.255254
242255.48.241.0/24255.48.241.1 to 255.48.241.254255.48.241.255254
243255.48.242.0/24255.48.242.1 to 255.48.242.254255.48.242.255254
244255.48.243.0/24255.48.243.1 to 255.48.243.254255.48.243.255254
245255.48.244.0/24255.48.244.1 to 255.48.244.254255.48.244.255254
246255.48.245.0/24255.48.245.1 to 255.48.245.254255.48.245.255254
247255.48.246.0/24255.48.246.1 to 255.48.246.254255.48.246.255254
248255.48.247.0/24255.48.247.1 to 255.48.247.254255.48.247.255254
249255.48.248.0/24255.48.248.1 to 255.48.248.254255.48.248.255254
250255.48.249.0/24255.48.249.1 to 255.48.249.254255.48.249.255254
251255.48.250.0/24255.48.250.1 to 255.48.250.254255.48.250.255254
252255.48.251.0/24255.48.251.1 to 255.48.251.254255.48.251.255254
253255.48.252.0/24255.48.252.1 to 255.48.252.254255.48.252.255254
254255.48.253.0/24255.48.253.1 to 255.48.253.254255.48.253.255254
255255.48.254.0/24255.48.254.1 to 255.48.254.254255.48.254.255254
256255.48.255.0/24255.48.255.1 to 255.48.255.254255.48.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses